Bug 958730 - [abrt] virt-manager-0.10.0-0.1.gitd3f9bc8e.fc19: virt-manager:36:<module>:ImportError: No module named virtcli
Summary: [abrt] virt-manager-0.10.0-0.1.gitd3f9bc8e.fc19: virt-manager:36:<module>:Imp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:42cbbb969b4b017d3eb7c94031a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-02 10:12 UTC by Trevor Nelson
Modified: 2013-05-16 02:54 UTC (History)
5 users (show)

Fixed In Version: virt-manager-0.10.0-0.2.gitb68faac8.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-10 00:32:33 UTC


Attachments (Terms of Use)
File: backtrace (989 bytes, text/plain)
2013-05-02 10:12 UTC, Trevor Nelson
no flags Details
File: environ (1.51 KB, text/plain)
2013-05-02 10:12 UTC, Trevor Nelson
no flags Details

Description Trevor Nelson 2013-05-02 10:12:18 UTC
Description of problem:
Just started it

Version-Release number of selected component:
virt-manager-0.10.0-0.1.gitd3f9bc8e.fc19

Additional info:
cmdline:        /usr/bin/python /usr/share/virt-manager/virt-manager
core_backtrace: 6ae17d90a8d98753bba7292a3a883d2041b7f9f4 0x24 <module> /usr/share/virt-manager/virt-manager -
executable:     /usr/share/virt-manager/virt-manager
kernel:         3.9.0-0.rc8.git0.2.fc19.x86_64
runlevel:       N 5
uid:            1000
ureports_counter: 1

Truncated backtrace:
virt-manager:36:<module>:ImportError: No module named virtcli

Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager", line 36, in <module>
    from virtcli import cliutils, cliconfig
ImportError: No module named virtcli

Local variables in innermost frame:
logging: <module 'logging' from '/usr/lib64/python2.7/logging/__init__.pyc'>
signal: <module 'signal' (built-in)>
LibvirtGLib: <gi.module.DynamicModule 'LibvirtGLib' from '/usr/lib64/girepository-1.0/LibvirtGLib-1.0.typelib'>
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/share/virt-manager/virt-manager'
traceback: <module 'traceback' from '/usr/lib64/python2.7/traceback.pyc'>
__package__: None
sys: <module 'sys' (built-in)>
optparse: <module 'optparse' from '/usr/lib64/python2.7/optparse.pyc'>
GObject: <gi.module.DynamicModule 'GObject' from '/usr/lib64/girepository-1.0/GObject-2.0.typelib'>
__name__: '__main__'
os: <module 'os' from '/usr/lib64/python2.7/os.pyc'>
__doc__: None

Comment 1 Trevor Nelson 2013-05-02 10:12:22 UTC
Created attachment 742583 [details]
File: backtrace

Comment 2 Trevor Nelson 2013-05-02 10:12:24 UTC
Created attachment 742584 [details]
File: environ

Comment 3 Trevor Nelson 2013-05-02 10:18:27 UTC
Fixed the issue by running:

[root@blindphaze-PC blindphaze]# yum install virt-manager-common
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package virt-manager-common.noarch 0:0.10.0-0.1.gitd3f9bc8e.fc19 will be installed
--> Processing Dependency: libvirt-python >= 0.7.0 for package: virt-manager-common-0.10.0-0.1.gitd3f9bc8e.fc19.noarch
--> Processing Dependency: python-ipaddr for package: virt-manager-common-0.10.0-0.1.gitd3f9bc8e.fc19.noarch
--> Running transaction check
---> Package libvirt-python.x86_64 0:1.0.4-1.fc19 will be installed
---> Package python-ipaddr.noarch 0:2.1.9-4.fc19 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package             Arch   Version                       Repository       Size
================================================================================
Installing:
 virt-manager-common noarch 0.10.0-0.1.gitd3f9bc8e.fc19   updates-testing 894 k
Installing for dependencies:
 libvirt-python      x86_64 1.0.4-1.fc19                  fedora          440 k
 python-ipaddr       noarch 2.1.9-4.fc19                  fedora           36 k

Transaction Summary
================================================================================
Install  1 Package (+2 Dependent packages)

Total download size: 1.3 M
Installed size: 6.6 M
Is this ok [y/N]: y
Downloading packages:
(1/3): python-ipaddr-2.1.9-4.fc19.noarch.rpm               |  36 kB   00:00     
(2/3): libvirt-python-1.0.4-1.fc19.x86_64.rpm              | 440 kB   00:01     
(3/3): virt-manager-common-0.10.0-0.1.gitd3f9bc8e.fc19.noa | 894 kB   00:02     
--------------------------------------------------------------------------------
Total                                           541 kB/s | 1.3 MB     00:02     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : python-ipaddr-2.1.9-4.fc19.noarch                            1/3 
  Installing : libvirt-python-1.0.4-1.fc19.x86_64                           2/3 
  Installing : virt-manager-common-0.10.0-0.1.gitd3f9bc8e.fc19.noarch       3/3 
  Verifying  : libvirt-python-1.0.4-1.fc19.x86_64                           1/3 
  Verifying  : virt-manager-common-0.10.0-0.1.gitd3f9bc8e.fc19.noarch       2/3 
  Verifying  : python-ipaddr-2.1.9-4.fc19.noarch                            3/3 

Installed:
  virt-manager-common.noarch 0:0.10.0-0.1.gitd3f9bc8e.fc19                      

Dependency Installed:
  libvirt-python.x86_64 0:1.0.4-1.fc19    python-ipaddr.noarch 0:2.1.9-4.fc19   

Complete!

Comment 4 Cole Robinson 2013-05-09 22:33:23 UTC
Indeed, missing dep on virt-manager-common. Fixed upstream, build coming soon.

Comment 5 Cole Robinson 2013-05-10 00:32:33 UTC
Fixed in virt-manager-0.10.0-0.2.gitb68faac8.fc20

Comment 6 Fedora Update System 2013-05-10 00:36:46 UTC
virt-manager-0.10.0-0.2.gitb68faac8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/virt-manager-0.10.0-0.2.gitb68faac8.fc19

Comment 7 Fedora Update System 2013-05-14 04:36:22 UTC
virt-manager-0.10.0-0.2.gitb68faac8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.